import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiTextareaModule } from '@ui/textarea/textarea.module';
import { SlutredovisningFormService } from '../../slutredovisning-form.service';
import { SlutredovisningFormStep0OtherComponent } from './slutredovisning-form-step0-other.component';

describe('SlutredovisningFormStep0OtherComponent', () => {
  let component: SlutredovisningFormStep0OtherComponent;
  let fixture: ComponentFixture<SlutredovisningFormStep0OtherComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep0OtherComponent],
      imports: [ReactiveFormsModule, UiTextareaModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep0OtherComponent);
    component = fixture.componentInstance;
    component.formGroupRef = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
